<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: master_download_panel.php
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { header("Location:../../index.php"); exit; }
include INFUSIONS."master_download_panel/infusion_db.php";

if (file_exists(INFUSIONS."master_download_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."master_download_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."master_download_panel/locale/Polish.php";
}

// ----------------------------------------
// Konfiguracja
// ----------------------------------------
require_once INFUSIONS."master_download_panel/master_download_config.php";
require_once INFUSIONS."master_download_panel/master_download_tools.php";

// ----------------------------------------
// Panel
// ----------------------------------------
openside($locale['mdp800']);

// Ostatnio pobrane
if (MDP_LAST_DOWNLOAD_LIMIT) {

  $files_list = dbquery("
    SELECT file_id, file_subcat, file_shortcut, file_name, subcat_id, subcat_viewaccess, MAX(get_date) AS get_maxdate FROM ".DB_MASTER_DOWNLOAD_GETS."
    LEFT JOIN ".DB_MASTER_DOWNLOAD_FILES." ON ".DB_MASTER_DOWNLOAD_GETS.".get_fileid=".DB_MASTER_DOWNLOAD_FILES.".file_id
    LEFT JOIN ".DB_MASTER_DOWNLOAD_SUBCATS." ON ".DB_MASTER_DOWNLOAD_FILES.".file_subcat=".DB_MASTER_DOWNLOAD_SUBCATS.".subcat_id
    WHERE ".groupaccess('subcat_viewaccess')."
    GROUP BY file_id
    ORDER BY get_maxdate DESC
    LIMIT ".MDP_LAST_DOWNLOAD_LIMIT
  );

  echo "<table width='100%' cellpadding='0' cellspacing='0'>"
  ."<tr><td colspan='2'><div class='side-label'><b>".$locale['mdp803']."</b></div></td></tr>";
  if (dbrows($files_list))
    while ($file_details = dbarray($files_list))
      print(make_panel_fileurl($file_details, MDP_DOWNLOAD_PANEL_NAME_LENGTH+6, false));
  echo "</table>\n";

	if ((MDP_MOST_DOWNLOAD_LIMIT) or (MDP_NEW_DOWNLOAD_LIMIT))

  }

// Najchetniej pobierane
if (MDP_MOST_DOWNLOAD_LIMIT) {

  $files_list = dbquery("
    SELECT file_id, file_subcat, file_shortcut, file_name, file_count, subcat_id, subcat_viewaccess FROM ".DB_MASTER_DOWNLOAD_FILES."
    LEFT JOIN ".DB_MASTER_DOWNLOAD_SUBCATS." ON ".DB_MASTER_DOWNLOAD_FILES.".file_subcat=".DB_MASTER_DOWNLOAD_SUBCATS.".subcat_id
    WHERE ".groupaccess('subcat_viewaccess')."
    ORDER BY file_count DESC
    LIMIT ".MDP_MOST_DOWNLOAD_LIMIT
  );

  echo "<table width='100%' cellpadding='0' cellspacing='0'>"
  ."<tr><td colspan='2'><div class='side-label'><b>".$locale['mdp801']."</b></div></td></tr>";
  if (dbrows($files_list))
    while ($file_details = dbarray($files_list))
      print(make_panel_fileurl($file_details));
  echo "</table>\n";

	if (MDP_NEW_DOWNLOAD_LIMIT)

  }

// Ostatnio dodane
if (MDP_NEW_DOWNLOAD_LIMIT) {

  $files_list = dbquery("
    SELECT file_id, file_subcat, file_shortcut, file_name, file_count, file_date, subcat_id, subcat_viewaccess FROM ".DB_MASTER_DOWNLOAD_FILES."
    LEFT JOIN ".DB_MASTER_DOWNLOAD_SUBCATS." ON ".DB_MASTER_DOWNLOAD_FILES.".file_subcat=".DB_MASTER_DOWNLOAD_SUBCATS.".subcat_id
    WHERE ".groupaccess('subcat_viewaccess')."
    ORDER BY file_date DESC
    LIMIT ".MDP_NEW_DOWNLOAD_LIMIT
  );

  echo "<table width='100%' cellpadding='0' cellspacing='0'>"
  ."<tr><td colspan='2'><div class='side-label'><b>".$locale['mdp802']."</b></div></td></tr>";
  if (dbrows($files_list))
    while ($file_details = dbarray($files_list))
      print(make_panel_fileurl($file_details));
  echo "</table>";

  }

closeside();

?>